petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMMoabGetMaterialBlock

Get the material ID corresponding to the current entity of the DM Mesh

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetMaterialBlock(DM dm,const moab::EntityHandle ehandle, PetscInt *mat)

Collective on MPI_Comm

### Input Parameter

dm - The DMMoab object
ehandle - The element entity handle

### Output Parameter

mat - The material ID for the current entity

### Keywords

DMMoab, create

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages